Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.event.knowledgeagent
Class AfterResourceProcessedEvent

    java.lang.Object
      java.util.EventObject
          org.drools.event.knowledgeagent.ChangeSetProcessingEvent
              org.drools.event.knowledgeagent.AfterResourceProcessedEvent

All Implemented Interfaces:
  Serializable

    public class AfterResourceProcessedEvent

extends ChangeSetProcessingEvent

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AfterResourceProcessedEvent(ChangeSet changeSet, Resource resource, ResourceType resourceType, KnowledgeAgent.ResourceStatus status)`

Method Summary
`Resource` | `getResource()`
`ResourceType` | `getResourceType()`
`KnowledgeAgent.ResourceStatus` | `getStatus()`
`String` | `toString()`

Methods inherited from class org.drools.event.knowledgeagent.ChangeSetProcessingEvent
`getChangeSet`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AfterResourceProcessedEvent

    public AfterResourceProcessedEvent(ChangeSet changeSet,
                                       Resource resource,
                                       ResourceType resourceType,
                                       KnowledgeAgent.ResourceStatus status)

Method Detail

### getResource

    public Resource getResource()

### getStatus

    public KnowledgeAgent.ResourceStatus getStatus()

### getResourceType

    public ResourceType getResourceType()

### toString

    public String toString()

  Overrides:
    `toString` in class `ChangeSetProcessingEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.